import 'package:fake_cookie_manager/fake_cookie_manager.dart';
import 'package:fake_http/fake_http.dart';

class WebkitCookieJar extends CookieJar {
  @override
  Future<void> saveFromResponse(HttpUrl url, List<Cookie> cookies) {
    return CookieManager.shared()
        .saveCookies(url: url.toString(), cookies: cookies);
  }

  @override
  Future<List<Cookie>> loadForRequest(HttpUrl url) {
    return CookieManager.shared().loadCookies(url: url.toString());
  }
}
